package com.ms.dal.mapper;

import com.ms.dal.entity.DoudianMsgParseQueue;
import org.apache.ibatis.annotations.Mapper;

/**
 * @Entity com.ms.dal.entity.DoudianMsgParseQueue
 */
@Mapper
public interface DoudianMsgParseQueueMapper {

    int deleteByPrimaryKey(Long id);

    int insert(DoudianMsgParseQueue record);

    int insertOrUpdate(DoudianMsgParseQueue  record);

    int insertSelective(DoudianMsgParseQueue record);

    DoudianMsgParseQueue selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(DoudianMsgParseQueue record);

    int updateByPrimaryKey(DoudianMsgParseQueue record);

    DoudianMsgParseQueue selectUnlockRowByQueueId(Long queueId);
}
